--- manager.cpp.orig	2019-05-16 18:38:53.508358000 +0300
+++ manager.cpp	2019-05-16 18:39:04.924470000 +0300
@@ -64,7 +64,7 @@
 #define BUFSIZE 4096		//block size?
 
 extern Calltable *calltable;
-extern int terminating;
+extern volatile int terminating;
 extern int opt_manager_port;
 extern char opt_manager_ip[32];
 extern int opt_manager_nonblock_mode;
@@ -629,7 +629,8 @@ int sendvm(int socket, ssh_channel channel, cClient *c
 		} else if(snifferClientService) {
 			snifferClientService->get_aes_keys(&aes_ckey, &aes_ivec);
 		}
-		c_client->writeAesEnc((u_char*)buf, len, aes_ckey.c_str(), aes_ivec.c_str());
+		res = c_client->writeAesEnc((u_char*)buf, len,
+		    aes_ckey.c_str(), aes_ivec.c_str()) ? 0: -1;
 	} else if(channel) {
 		res = sendssh(channel, buf, len);
 	} else {
